Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84878 - XFree86-4.2.99.902-20030217.1.src.rpm fails compile
Summary: XFree86-4.2.99.902-20030217.1.src.rpm fails compile
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-22 20:58 UTC by Need Real Name
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-15 07:16:07 UTC


Attachments (Terms of Use)

Description Need Real Name 2003-02-22 20:58:50 UTC
Description of problem:

attempting to compile XFree86-4.2.99.902-20030217.1.src.rpm against
kernel 2.5.62 an it fails. (error message below) The reason is in the
file linux/kd.h the following structure has changed.(field rate)

struct kbd_repeat {
        int delay;      /* in msec; <= 0: don't change */
        int period;     /* in msec; <= 0: don't change */
                        /* earlier this field was misnamed "rate" */
};

Version-Release number of selected component (if applicable):
4.2.99.902-20030217

How reproducible:
always

Steps to Reproduce:
1. rpmbuild --rebuild XFree86-4.2.99.902-20030217.1.src.rpm
2.
3.
    
Actual results:
rm -f lnx_io.o
gcc -c -O5 -mcpu=ev56 -freorder-blocks -fomit-frame-pointer -finline-functions
-falign-functions=8 -falign-labels=8 -falign-loops=8 -falign-jumps=8 
-fno-exceptions -fno-rtti -lcpml -Wa,-m21164a -fno-strict-aliasing -pipe -ansi
-pedantic -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes
-Wmissing-declarations -Wredundant-decls -Wnested-externs -Wundef   
-fno-merge-constants -I../../../../../../programs/Xserver/hw/xfree86/common
-I../../../../../../programs/Xserver/hw/xfree86/os-support -I.
-I../../../../../../programs/Xserver/include           
-I../../../../../../exports/include/X11 -I../../../../../../include/extensions
-I../../../../../../programs/Xserver/hw/xfree86/os-support/shared 
-I../../../../../.. -I../../../../../../exports/include   -Dlinux -D__alpha__
-D_POSIX_C_SOURCE=199309L -D_POSIX_SOURCE -D_XOPEN_SOURCE -D_BSD_SOURCE
-D_SVID_SOURCE  -D_GNU_SOURCE  -DSHAPE -DXINPUT -DXKB -DLBX -DXAPPGROUP
-DXCSECURITY -DTOGCUP  -DXF86BIGFONT -DDPMSExtension  -DPIXPRIV -DPANORAMIX 
-DRENDER -DRANDR -DGCCUSESGAS -DAVOID_GLYPHBLT -DPIXPRIV -DSINGLEDEPTH
-DXFreeXDGA -DXvExtension -DXFree86LOADER  -DXFree86Server -DXF86VIDMODE
-DXvMCExtension  -DSMART_SCHEDULE -DBUILDDEBUG -DXResExtension
-DX_BYTE_ORDER=X_LITTLE_ENDIAN -D_XSERVER64 -DJENSEN_SUPPORT -DNDEBUG 
-DFUNCPROTO=15 -DNARROWPROTO    -DUSESTDRES -DHAVE_SYSV_IPC   lnx_io.c
lnx_io.c: In function `KDKBDREP_ioctl_ok':
lnx_io.c:90: structure has no member named `rate'
lnx_io.c:98: structure has no member named `rate'
lnx_io.c:100: structure has no member named `rate'
lnx_io.c:101: structure has no member named `rate'
lnx_io.c:102: structure has no member named `rate'
make[7]: *** [lnx_io.o] Error 1


Expected results:
clean compile

Additional info:
kernel change was problem

Comment 1 Mike Chambers 2003-02-23 04:19:46 UTC
I think Mike will have to chime in here and either correct me if I'm wrong, or 
back me up.  But I don't believe you can file a bug against a package, when 
it's going against a development kernel that isn't even released yet.  And 
then, not even a Red Hat kernel.  I would think this would be closed unless you 
produce the same bug against a Red Hat kernel.  Mike?

Comment 2 Need Real Name 2003-02-23 11:44:03 UTC
Fair enough on that argument. I didn't even think about
that. I have been trying hard to get the development 
kernel to work. (Not yet but I got a few things fixed)

I will try to issue a patch back into the kerenl for 
:backwards compatability", 

I patched the kernel and it all works (2.5.62 headers
with an 2.4.20 runnig kernel.) More rawhide testing to go.



Comment 3 Mike A. Harris 2003-03-15 07:16:07 UTC
> gcc -c -O5 -mcpu=ev56 -freorder-blocks -fomit-frame-pointer -finline-functions

You're recompiling a Red Hat src.rpm....   doing so on Alpha, a currently
unsupported platform....  and doing it with an unstable development kernel
which isn't released by Linus as stable, nor shipped or used by Red Hat.

LOL

I love Alpha, but.....  really, this is not a Red Hat issue.  This is an
upstream kernel and/or XFree86 issue.  Please report it upstream.


Closing bug WONTFIX



Note You need to log in before you can comment on or make changes to this bug.